import 'package:flutter/material.dart';
import 'package:gap/gap.dart';
import 'package:wyatt_ui_kit_example/cards/information_card/information_cards.dart';
import 'package:wyatt_ui_kit_example/cards/portfolio_card/portfolio_cards.dart';
import 'package:wyatt_ui_kit_example/cards/quote_card/quote_cards.dart';
import 'package:wyatt_ui_kit_example/cards/skill_card/skill_cards.dart';
import 'package:wyatt_ui_kit_example/demo_page.dart';

class Cards extends DemoPage {
  const Cards({super.key});

  @override
  String get title => 'Cards';

  @override
  Widget build(BuildContext context) => ListView(
        cacheExtent: 1000,
        children: [
          const Gap(20),
          Align(
            child: Text(
              title,
              style: Theme.of(context).textTheme.titleLarge,
            ),
          ),
          const Gap(20),
          const InformationCards(),
          const Gap(20),
          const PortfolioCards(),
          const Gap(20),
          const QuoteCards(),
          const Gap(20),
          const SkillCards(),
          const Gap(20),
        ],
      );
}
